classification
Title: Ttk support for Tkinter
Type: Stage:
Components: Tkinter Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, eric.araujo, gpolo, wordtech
Priority: high Keywords:

Created on 2008-05-27 17:57 by gpolo, last changed 2011-06-19 19:57 by eric.araujo. This issue is now closed.

Messages (13)
msg67419 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-27 17:57
Hello, this issue could be considered an extension of issue2618 and
maybe I should have continued there but.. continuing,

I'm proposing the inclusion of a ttk module (should be renamed to Ttk
for python 2.x) that would fit inside lib-tk or the new tkinter package.
This is a wrapper for the new themed widget set included with Tk 8.5,
which will also work if you have the tile package installed and an older
Tk version (I tested with Tk 8.4 only).

The code and docs are at: 
http://svn.python.org/view/sandbox/trunk/ttk-gsoc/
msg70200 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-07-24 12:08
I've added it to PyPi (http://pypi.python.org/pypi/pyttk) yesterday to
facilitate the process of installing the module (without needing to
checkout the repo) in the hope that people will use it, and contribute
to make it better and possibly even support its inclusion into python
(given the chances of getting this into 2.6 and 3.0 are near zero now).
msg70919 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-08-08 22:36
I wish I had realized this work was done or else I would have pushed to
get this in for 2.6/3.0. Damn. Setting for 2.7/3.1, although if the
decision was made it was easier to only have it in 3.1 that would be
fine by me.

Regardless, setting this to high since while it is not a bug fix, being
able to make Tk apps that aren't quite so ugly would be REALLY nice and
might re-invigorate use of tkinter.
msg75163 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-10-24 12:27
Now that the new branches are around I guess we could consider adding it
then ? I will help with anything.
msg75170 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-10-24 16:28
On Fri, Oct 24, 2008 at 5:27 AM, Guilherme Polo <report@bugs.python.org> wrote:
>
> Guilherme Polo <ggpolo@gmail.com> added the comment:
>
> Now that the new branches are around I guess we could consider adding it
> then ? I will help with anything.
>

Yes, we can consider adding this now.
msg79018 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-01-03 22:20
Do you still need a review for this, Guilherme? If you just need a quick
code check I can see if I can make the time for this, but my tkinter
knowledge is lacking so it won't be very in-depth. Hopefully this is all
isolated enough that even if it is initially broken it won't be a big
deal if you just check it in.

And do you want this in 2.7 and 3.1, or out of simplicity just 3.1?
msg79019 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-01-03 22:31
> Do you still need a review for this, Guilherme? If you just need a quick
> code check I can see if I can make the time for this, but my tkinter
> knowledge is lacking so it won't be very in-depth. Hopefully this is all
> isolated enough that even if it is initially broken it won't be a big
> deal if you just check it in.
>

I was waiting more for an "Ok, commit" as I though Fredrik already did
a quick code check on it.
But of course you can look at it too if you want.

Also, would it be fine to leave its tests on lib-tk (2.7) and tkinter (3.1) ?

> And do you want this in 2.7 and 3.1, or out of simplicity just 3.1?
>

I would like both if I can decide on that.
msg79021 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-01-03 23:06
If Fredrik already reviewed it I don't see why you can't commit. If
something goes wrong you can always back the commit out.

As for the testing question, I am not sure I understand what you are
asking. Are you asking if the tests can stay integrated with tkinter's
existing tests?

Ans as for versions, put it into whatever versions you want to support.
I was just saying you can do 3.1 only if you don't want to the hassle of
supporting both versions. If you are up for it then please do both!
msg79022 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-01-03 23:23
> As for the testing question, I am not sure I understand what you are
> asking. Are you asking if the tests can stay integrated with tkinter's
> existing tests?
>

There are no tests for tkinter, except for some few ones for _tkinter
basic functionality living on Lib/test/test_tcl.py
If it is ok I can start a test/ directory inside lib-tk and tkinter
(py3k), I would then prefix ttk file tests with a "ttk".

> Ans as for versions, put it into whatever versions you want to support.
> I was just saying you can do 3.1 only if you don't want to the hassle of
> supporting both versions. If you are up for it then please do both!

Perfect, both then :)
msg80707 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-01-28 13:10
Added in python-trunk now: r69050

I will be merging it into py3k now, and my bad for taking so long to do
this.
msg80712 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-01-28 14:43
r69051 in py3k

Now only samples are missing, I will be doing these later today I think.
And there is an issue regarding regrtest (gui resource), see issue5083.
msg80716 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-01-28 16:16
samples: r69053 and r69055

Closing the issue now, thanks.
msg138657 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2011-06-19 19:57
The 2.7 docs are missing a versionadded directive.
History
Date User Action Args
2011-06-19 19:57:25eric.araujosetnosy: + eric.araujo
messages: + msg138657
2009-01-28 16:16:40gpolosetstatus: open -> closed
resolution: fixed
messages: + msg80716
2009-01-28 14:43:31gpolosetmessages: + msg80712
2009-01-28 13:10:10gpolosetmessages: + msg80707
2009-01-03 23:23:37gpolosetmessages: + msg79022
2009-01-03 23:06:16brett.cannonsetmessages: + msg79021
2009-01-03 22:31:57gpolosetmessages: + msg79019
2009-01-03 22:20:58brett.cannonsetmessages: + msg79018
2008-10-24 16:28:43brett.cannonsetmessages: + msg75170
2008-10-24 12:27:54gpolosetmessages: + msg75163
2008-08-08 22:36:03brett.cannonsetpriority: high
nosy: + brett.cannon
messages: + msg70919
versions: + Python 3.1, Python 2.7, - Python 2.6, Python 2.5, Python 3.0
2008-07-24 12:08:36gpolosetmessages: + msg70200
2008-06-09 00:58:24benjamin.petersonlinkissue2618 superseder
2008-06-09 00:15:41wordtechsetnosy: + wordtech
2008-05-27 17:57:08gpolocreate